Package org.apache.synapse.commons.staxon.core.json.stream.util

# Class StreamTargetDelegate

java.lang.Object
org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`, `JsonStreamTarget`

Direct Known Subclasses:
  `AutoPrimitiveTarget`, `CustomRegexIgnoreAutoPrimitiveTarget`, `CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget`, `RemoveRootTarget`

public class StreamTargetDelegate extends Object implements JsonStreamTarget
Delegating stream target.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StreamTargetDelegate(JsonStreamTarget delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `endArray()`
  End array.
  `void`
  `endObject()`
  End object.
  `void`
  `flush()`
  `void`
  `name(String name)`
  Write name.
  `void`
  `startArray()`
  Start array.
  `void`
  `startObject()`
  Start object
  `void`
  `value(Object value)`
  Write value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StreamTargetDelegate

    public StreamTargetDelegate(JsonStreamTarget delegate)

- ## Method Details

  - ### flush

    public void flush() throws IOException
    Specified by:
      `flush` in interface `Flushable`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`

  - ### name

    public void name(String name) throws IOException
    Description copied from interface: `JsonStreamTarget`
    Write name.
    Specified by:
      `name` in interface `JsonStreamTarget`
    Parameters:
      `name` -
    Throws:
      `IOException`

  - ### value

    public void value(Object value) throws IOException
    Description copied from interface: `JsonStreamTarget`
    Write value.
    Specified by:
      `value` in interface `JsonStreamTarget`
    Parameters:
      `value` -
    Throws:
      `IOException`

  - ### startObject

    public void startObject() throws IOException
    Description copied from interface: `JsonStreamTarget`
    Start object
    Specified by:
      `startObject` in interface `JsonStreamTarget`
    Throws:
      `IOException`

  - ### endObject

    public void endObject() throws IOException
    Description copied from interface: `JsonStreamTarget`
    End object.
    Specified by:
      `endObject` in interface `JsonStreamTarget`
    Throws:
      `IOException`

  - ### startArray

    public void startArray() throws IOException
    Description copied from interface: `JsonStreamTarget`
    Start array.
    Specified by:
      `startArray` in interface `JsonStreamTarget`
    Throws:
      `IOException`

  - ### endArray

    public void endArray() throws IOException
    Description copied from interface: `JsonStreamTarget`
    End array.
    Specified by:
      `endArray` in interface `JsonStreamTarget`
    Throws:
      `IOException`